Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class INVALID_TRANSACTIONHelper

    java.lang.Object
      |
      +--org.omg.CORBA.INVALID_TRANSACTIONHelper

public class INVALID_TRANSACTIONHelper
extends java.lang.Object

Helper class for : INVALID_TRANSACTION

Author:
  OpenORB Compiler

Constructor Summary
`INVALID_TRANSACTIONHelper()`

Method Summary
`static INVALID_TRANSACTION` | `extract(Any a)` Extract INVALID_TRANSACTION from an any
`static java.lang.String` | `id()` Return the INVALID_TRANSACTION IDL ID
`static void` | `insert(Any a, INVALID_TRANSACTION t)` Insert INVALID_TRANSACTION into an any
`static INVALID_TRANSACTION` | `read(InputStream istream)` Read INVALID_TRANSACTION from a marshalled stream
`static TypeCode` | `type()` Return the INVALID_TRANSACTION TypeCode
`static void` | `write(OutputStream ostream, INVALID_TRANSACTION value)` Write INVALID_TRANSACTION into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### INVALID_TRANSACTIONHelper

    public INVALID_TRANSACTIONHelper()

Method Detail

### insert

    public static void insert(Any a,
                              INVALID_TRANSACTION t)

  Insert INVALID_TRANSACTION into an any
  Parameters:
    `a` - an any
    `t` - INVALID_TRANSACTION value

### extract

    public static INVALID_TRANSACTION extract(Any a)

  Extract INVALID_TRANSACTION from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted INVALID_TRANSACTION value

### type

    public static TypeCode type()

  Return the INVALID_TRANSACTION TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the INVALID_TRANSACTION IDL ID
  Returns:
    an ID

### read

    public static INVALID_TRANSACTION read(InputStream istream)

  Read INVALID_TRANSACTION from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed INVALID_TRANSACTION value

### write

    public static void write(OutputStream ostream,
                             INVALID_TRANSACTION value)

  Write INVALID_TRANSACTION into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - INVALID_TRANSACTION value

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD